Package org.apache.commons.math3.optim.nonlinear.scalar

# Class ObjectiveFunctionGradient

java.lang.Object
org.apache.commons.math3.optim.nonlinear.scalar.ObjectiveFunctionGradient

All Implemented Interfaces:
  `OptimizationData`

public class ObjectiveFunctionGradient extends Object implements OptimizationData
Gradient of the scalar function to be optimized.

Since:
  3.1

## Constructor Summary

Constructors
Constructor
Description
`ObjectiveFunctionGradient(MultivariateVectorFunction g)`

## Method Summary

Modifier and Type
Method
Description
`MultivariateVectorFunction`
`getObjectiveFunctionGradient()`
Gets the gradient of the function to be optimized.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ObjectiveFunctionGradient

public ObjectiveFunctionGradient(MultivariateVectorFunction g)

Parameters:
  `g` - Gradient of the function to be optimized.

## Method Details

### getObjectiveFunctionGradient

public MultivariateVectorFunction getObjectiveFunctionGradient()
Gets the gradient of the function to be optimized.

Returns:
  the objective function gradient.